"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DIDCommMessageMediaType = void 0;
/**
 * Represents different DIDComm v2 message encapsulation.
 *
 * @beta This API may change without a BREAKING CHANGE notice.
 */
var DIDCommMessageMediaType;
(function (DIDCommMessageMediaType) {
    /**
     * A plain JSON DIDComm message
     */
    DIDCommMessageMediaType["PLAIN"] = "application/didcomm-plain+json";
    /**
     * A JWS signed DIDComm message
     */
    DIDCommMessageMediaType["SIGNED"] = "application/didcomm-signed+json";
    /**
     * A JWE encrypted DIDComm message
     */
    DIDCommMessageMediaType["ENCRYPTED"] = "application/didcomm-encrypted+json";
})(DIDCommMessageMediaType = exports.DIDCommMessageMediaType || (exports.DIDCommMessageMediaType = {}));
//# sourceMappingURL=message-types.js.map